require 'httparty'

class GiftRocket

  def self.quick_send(options)
    g = GiftRocket::Gift.new(options)
    a = GiftRocket::Account.new(options)
    r = GiftRocket::Recipient.new(options)

    send(g,a,r)
  end

  def self.send(gift, account, recipient)
    options = {
      :query => merge_params(gift, account, recipient)
    }

    response = HTTParty.post('https://www.giftrocket.com/gifts', options)

    raise GiftRocket::Error::NetworkError.new(response) unless response.success?

    return GiftRocket::Response.new(response.body)
  end

private

  def self.merge_params(*args)
    query = {}
    args.each{|x| query.merge!(x.params)}
    return query.reject!{|k,v| v.nil?}
  end


end

require 'gift_rocket/account'
require 'gift_rocket/response'
require 'gift_rocket/gift'
require 'gift_rocket/recipient'
require 'gift_rocket/exceptions'
