class GiftRocket::Gift

  attr_accessor :amount, :message_announce, :yelp_business_id, :test_gift

  @amount           = nil
  @message_announce = nil
  @yelp_business_id = nil
  @test_gift        = false

  def initialize(options)
    @amount           = options[:amount]
    @message_announce = options[:message_announce] || options[:message]
    @yelp_business_id = options[:yelp_business_id]
    @test_gift        = options[:test_gift]

    raise GiftRocket::Error::InvalidAmount.new('Gift Amount not specified') unless (@amount||0) > 0
    raise GiftRocket::Error::MissingMessage.new('Message not specified') if @message_announce.nil? || @message_announce.empty?
  end

  def params
    {'gift[amount]' => @amount, 'gift[message_announce]' => @message_announce, 'gift[yelp_business_id]' => @yelp_business_id, 'test_gift' => @test_gift}
  end

end
