class GiftRocket::Recipient

  attr_accessor :email, :name

  @email  = nil
  @name   = nil

  def initialize(options)
    @name   = options[:name]
    @email  = options[:email]

    raise GiftRocket::Error::MissingRecipientEmail.new('Recipient email not specified') if @email.nil? || @email.empty?
    raise GiftRocket::Error::MissingRecipientName.new('Recipient name not specified') if @name.nil? || @name.empty?

  end

  def params
    {'gift[recipient_email]' => @email, 'gift[recipient_name]' => @name}
  end

end
